Page MenuHomeVyOS Platform

New L2TP server implementation based on accel-ppp
Closed, ResolvedPublicFEATURE REQUEST

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible
Issue type
Internal change (not visible to end users)

Event Timeline

hagbard triaged this task as Normal priority.Sep 6 2018, 7:18 PM
hagbard created this task.
hagbard changed the task status from Open to In progress.Nov 20 2018, 11:49 PM
hagbard changed the task status from In progress to On hold.Dec 6 2018, 7:17 PM
hagbard changed the task status from On hold to In progress.Apr 15 2019, 5:37 PM
hagbard changed the task status from In progress to On hold.Jul 8 2019, 10:40 PM
hagbard changed the task status from On hold to In progress.Jul 15 2019, 3:06 PM

currently testing internally, will be released soon to the current branch.

Dmitry changed the status of subtask T1544: L2TP documentation from Open to Needs testing.Aug 1 2019, 5:51 PM

On vyos-1.2-rolling-201908201244-amd64.iso won`t reproduce. All ok, configuration edits are applied.

May close this bug.

I have been trying this new feature out.

  1. I had configured an MTU value and I had some sessions connected, I realised I had set it incorrect so I modified it to the correct value. On commit I received an error (sorry I don't have it at present) but to the extent that accel-pppd was not running on localhost:2004.

I had to reboot the router to get it working again.

  1. I was having a number of sessions terminating on a regular basis. The underlying config file that gets generated (/etc/accel-ppp/l2tp/l2tp.confg includes a line - lcp-echo-interval=30

A single failure to receive a packet caused a lost session.

lcp-echo-interval needs to be configurable, as well as lcp-echo-failure

I'm currently testing with
lcp-echo-interval=5
lcp-echo-failure=4

and it seems to have resolved the problem for me.
Please could you add configuration options for these parameters.

  1. There is no ability to kill/disconnect an individual logged in user session
  1. Running the following doesn't make sense

reset vpn remote-access user
Possible completions:

l2tp.config   Terminate specified user's current remote access VPN session(s)
  1. No option to restart the l2tp /vpn service via restart command (in case process stops like it did for me)

Implementation advanced ppp-options

vyos@vyos# set vpn l2tp remote-access ppp-options 
Possible completions:
   lcp-echo-failure
                Maximum number of Echo-Requests may be sent without valid reply
   lcp-echo-interval
                LCP echo-requests/sec

https://github.com/vyos/vyos-1x/pull/127

@drac , before implementation cli command for restarting l2tp I need explanation how to reproduce issue when daemon is died. Can you detailed explain this?

syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
dmbaturin renamed this task from accel-ppp: l2tp implementation to New L2TP server implementation based on accel-ppp.Sep 10 2021, 6:18 AM
dmbaturin set Is it a breaking change? to Unspecified (possibly destroys the router).
dmbaturin set Issue type to Unspecified (please specify).
dmbaturin changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.Sep 29 2021, 2:26 PM
dmbaturin changed Issue type from Unspecified (please specify) to Internal change (not visible to end users).